componentsdialog.h
/* This file is part of the KDE project
Copyright (C) 2003 Matthias Kretz <kretz@kde.org>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef KSETTINGS_COMPONENTSDIALOG_H
#define KSETTINGS_COMPONENTSDIALOG_H
#include <kdialogbase.h>
class QString;
class KPluginInfo;
namespace KSettings
{
class KUTILS_EXPORT ComponentsDialog : public KDialogBase
{
Q_OBJECT
public:
ComponentsDialog( QWidget * parent = 0, const char * name = 0 );
~ComponentsDialog();
void addPluginInfo( KPluginInfo * );
void setPluginInfos( const QMap<QString, KPluginInfo*> & plugininfos );
void setPluginInfos( const QValueList<KPluginInfo *> &plugins );
void show();
protected slots:
void slotOk();
void slotApply();
private slots:
void executed( QListViewItem * );
private:
void savePluginInfos();
class ComponentsDialogPrivate;
ComponentsDialogPrivate * d;
};
}
// vim: sw=4 sts=4 et
#endif // KSETTINGS_COMPONENTSDIALOG_H
KPluginInfo
Information about a plugin.
Definition: kplugininfo.h:42
KDialogBase
KSettings::ComponentsDialog
Dialog for selecting which plugins should be active for an application.
Definition: componentsdialog.h:40

KDE Home | KDE Accessibility Home | Description of Access Keys